libzypp: zypp::debug::TraceLeave Struct Reference

libzypp 17.36.6

Public Member Functions | Private Attributes | Static Private Attributes | List of all members
zypp::debug::TraceLeave Struct Reference

`#include <zypp-core/base/Logger.h>`

## Public Member Functions
| TraceLeave (const TraceLeave &)=delete
TraceLeave & | operator= (const TraceLeave &)=delete
| TraceLeave (const char *file_r, const char *fnc_r, int line_r, std::string msg_r=std::string())
| ~TraceLeave ()

## Private Attributes
const char * | _file
const char * | _fnc
int | _line
std::string | _msg

## Static Private Attributes
static unsigned | _depth = 0

## Detailed Description

Definition at line 29 of file Logger.h.

## Constructor & Destructor Documentation

## ◆ TraceLeave() [1/2]

zypp::debug::TraceLeave::TraceLeave | ( | const TraceLeave & |  | ) |
| delete

## ◆ TraceLeave() [2/2]

zypp::debug::TraceLeave::TraceLeave | ( | const char * | file_r,
|  | const char * | fnc_r,
|  | int | line_r,
|  | std::string | msg_r = std::string() )

Definition at line 325 of file LogControl.cc.

## ◆ ~TraceLeave()

zypp::debug::TraceLeave::~TraceLeave | ( |  | ) |

Definition at line 336 of file LogControl.cc.

## Member Function Documentation

## ◆ operator=()

TraceLeave & zypp::debug::TraceLeave::operator= | ( | const TraceLeave & |  | ) |
| delete

## Member Data Documentation

## ◆ _depth

unsigned zypp::debug::TraceLeave::_depth = 0
| staticprivate

Definition at line 36 of file Logger.h.

## ◆ _file

const char* zypp::debug::TraceLeave::_file
| private

Definition at line 37 of file Logger.h.

## ◆ _fnc

const char* zypp::debug::TraceLeave::_fnc
| private

Definition at line 38 of file Logger.h.

## ◆ _line

int zypp::debug::TraceLeave::_line
| private

Definition at line 39 of file Logger.h.

## ◆ _msg

std::string zypp::debug::TraceLeave::_msg
| private

Definition at line 40 of file Logger.h.

The documentation for this struct was generated from the following files:

- zypp-core/base/Logger.h
- zypp-core/base/LogControl.cc